1. Vehicles
eLogii
  • Introduction
  • Entities
  • FAQs
  • Query parameters
  • Webhooks
  • Tasks
    • Task Elements
    • createOrUpdateMany
      POST
    • Get tasks
      GET
    • Create tasks
      POST
    • Delete tasks
      POST
    • Update a task
      PUT
    • Get Proof of Delivery
      GET
    • Cancel tasks
      POST
    • Post Tasks Create Return
      POST
    • Move tasks to another date
      POST
    • postTasksReattempt
      POST
    • Start tracking a task (webhook)
      POST
  • Drivers
    • Driver Elements
    • Get drivers
      GET
    • Create multiple drivers
      POST
    • Update drivers
      POST
    • Delete drivers
      POST
  • Customers
    • Customer Elements
    • Get customers
    • Create customers
    • Update customers
    • Delete customers
  • Depots
    • Depot Elements
    • Get depots
    • Create depots
    • Update depots
    • Delete depots
  • Driver-schedule-exceptions
    • Driver-schedule-exception elements
    • Get all exceptions
    • Get schedule exception for a specific driver
    • Update a schedule exception
    • Create multiple schedule exceptions
    • Delete multiple schedule exceptions
  • Route-template-groups
    • Route-template-groups elements
    • Get route template groups
    • Create a route-template-group
    • Update a route template group
    • Delete multiple route template groups
    • Schedule for dates
  • Routes
    • Route Elements
    • Get routes
    • Clear route(s)
    • Lock route(s)
    • Unlock route(s)
    • Set planned ETAs
    • Setting the task order
  • Task-template-groups
    • Task-template-groups Elements
    • Get task-template-groups
    • Create task-template-groups
    • Get one task-template-group by _id
    • Update task-template-group
    • Delete one task-template-group
    • Delete multiple task-template-groups
    • Schedule task-template-groups for dates
    • Add tasks to group
  • Vehicles
    • Vehicle Elements
    • Create multiple vehicles
      POST
    • Get vehicles
      GET
    • Update multiple vehicles
      POST
    • Delete multiple vehicles
      POST
  • Zones
    • Zones Elements
    • getZones
    • postZones
    • putZones_id
    • deleteZones_id
  • Optimization
    • Optimization Elements
    • Run optimization for provided data set
    • Run optimization for one or multiple dates
    • Run optimization for one or multiple existing routes
    • Optimize tasks in a period (e.g. 1 month), where some of the tasks have varying intervals - e.g. weekly, every 2 weeks, monthly
    • Run optimization for a date range
  • Forms
    • Get all forms
    • Create and design a form
    • Update many forms
    • Delete many forms
  • Form submissions
    • Get all form submissions
    • Get a specific form's submissions
    • Update many form submissions
    • Delete many form submissions
  1. Vehicles

Get vehicles

Production
https://api-35.elogii.com
Production
https://api-35.elogii.com
GET
/vehicles

Request

Authorization
Add parameter in header
Authorization
Example:
Authorization: ********************

Responses

🟢200OK
*/*
Successful
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api-35.elogii.com/vehicles' \
--header 'Authorization: <api-key>'
Response Response Example
[
    {
        "_id": "689b085cc2706bf6d1a4669d",
        "uid": "V-U3PQH8F2",
        "organization": "63564f85c557c10012661e3e",
        "path": "63564f85c557c10012661e3e",
        "name": "Vehicle 3",
        "category": null,
        "vehicleType": "689b085cc2706bf6d1a4668f",
        "vehicleTypeInfo": {
            "_id": "689b085cc2706bf6d1a4668f",
            "uid": "VT-2YATWC8W",
            "name": "Test Type",
            "capacity": {
                "Containers": 1200
            },
            "capabilities": [],
            "specs": {
                "shippedHazardousGoods": []
            },
            "cost": {
                "perHour": [],
                "perDay": [],
                "perKM": []
            }
        },
        "capacity": {
            "Containers": 1200
        },
        "internalCapabilities": [],
        "capabilities": [
            "2",
            "4",
            "8",
            "Contains fridge"
        ],
        "teams": [],
        "tags": [],
        "flags": {
            "hasAvatar": false
        },
        "specs": {
            "shippedHazardousGoods": []
        },
        "cost": {
            "perHour": [],
            "perDay": [],
            "perKM": []
        },
        "createdAt": "2025-08-12T09:24:44.521Z",
        "updatedAt": "2025-08-12T09:24:44.521Z",
        "__v": 0
    },
    {
        "_id": "689b085cc2706bf6d1a4669b",
        "uid": "V-X2F5GWMF",
        "organization": "63564f85c557c10012661e3e",
        "path": "63564f85c557c10012661e3e",
        "name": "Vehicle 4",
        "category": null,
        "vehicleType": "689b085cc2706bf6d1a4668f",
        "vehicleTypeInfo": {
            "_id": "689b085cc2706bf6d1a4668f",
            "uid": "VT-2YATWC8W",
            "name": "Test Type",
            "capacity": {
                "Containers": 1200
            },
            "capabilities": [],
            "specs": {
                "shippedHazardousGoods": []
            },
            "cost": {
                "perHour": [],
                "perDay": [],
                "perKM": []
            }
        },
        "capacity": {
            "Containers": 1200
        },
        "internalCapabilities": [],
        "capabilities": [
            "Contains fridge",
            "8",
            "4",
            "2"
        ],
        "teams": [],
        "tags": [],
        "flags": {
            "hasAvatar": false
        },
        "specs": {
            "shippedHazardousGoods": []
        },
        "cost": {
            "perHour": [],
            "perDay": [],
            "perKM": []
        },
        "createdAt": "2025-08-12T09:24:44.519Z",
        "updatedAt": "2025-08-12T09:24:44.519Z",
        "__v": 0
    },
    {
        "_id": "689b085cc2706bf6d1a46697",
        "uid": "V-OHBUPADL",
        "organization": "63564f85c557c10012661e3e",
        "path": "63564f85c557c10012661e3e",
        "name": "Vehicle 0",
        "category": 6,
        "vehicleType": "689b085cc2706bf6d1a4668f",
        "vehicleTypeInfo": {
            "_id": "689b085cc2706bf6d1a4668f",
            "uid": "VT-2YATWC8W",
            "name": "Test Type",
            "capacity": {
                "Containers": 1200
            },
            "capabilities": [],
            "specs": {
                "shippedHazardousGoods": []
            },
            "cost": {
                "perHour": [],
                "perDay": [],
                "perKM": []
            }
        },
        "capacity": {
            "Containers": 1200
        },
        "internalCapabilities": [],
        "capabilities": [
            "2"
        ],
        "teams": [],
        "tags": [],
        "flags": {
            "hasAvatar": false
        },
        "specs": {
            "shippedHazardousGoods": []
        },
        "cost": {
            "perHour": [],
            "perDay": [],
            "perKM": []
        },
        "createdAt": "2025-08-12T09:24:44.511Z",
        "updatedAt": "2025-09-18T13:44:19.140Z",
        "__v": 0
    }]
Modified at 2025-11-12 16:33:15
Previous
Create multiple vehicles
Next
Update multiple vehicles
Built with